Page MenuHomePhabricator

Implement Shortend version
Open, HighPublic

Description

NOTE: check parent task for conditions on when to apply this version

Template:
Changed labels, descriptions and/or aliases in: <all language codes that changed >

Example:
Changed labels, descriptions and/or aliases in: fr, es, en, pl, zh, it, hu

Notes:

  • comma-separated list should be i18n-ed (i.e. not hardcode English comma + space, etc)

TODO

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterGenerate Short edit summaries
mediawiki/extensions/Wikibase : masterAdd messages for short version of automatic summary
mediawiki/extensions/Wikibase : masterDon't use PHP classes to refer to constants in magic.php files
mediawiki/extensions/Wikibase : masterAdd commaSeparatedList parser function
mediawiki/extensions/Wikibase : masterAdd service to collect changed languages, for the summary message
mediawiki/extensions/Wikibase : masterWIP: Add service to collect changed languages, grouped by changed term types
mediawiki/extensions/Wikibase : masterMove Summary prepartion into its own helper class

Event Timeline

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 21 2019, 1:33 PM

Change 543701 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[mediawiki/extensions/Wikibase@master] Move Summary prepartion into its own helper class

https://gerrit.wikimedia.org/r/543701

First patch (& first step of isolating summary generation logic) is up for review

alaa_wmde triaged this task as High priority.Oct 17 2019, 11:02 AM

Change 544897 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[mediawiki/extensions/Wikibase@master] WIP: Add service to collect changed languages, grouped by changed term types

https://gerrit.wikimedia.org/r/544897

The current version of the message have too many dynamic (moving) parts. The languages list is of unknown length to the message in json files, and the amount of grouped changed (Changed in ... ) can be of any length between 1 and 6 (for all possible combinations of aliases, label and description).

An alternative to reduce complexity of dynamic message parts Changed labels, descriptions and/or aliases in: fr, es, en, pl zh, it, hu.

This makes this version exactly the same as the fallback version, but with the number of changed languages being replaced by the list of them.

We will still need to figure out a way to allow for dynamic length list of languages to be encoded in the summary, and to be translated by the target language using its proper separation scheme.

Change 543701 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Move Summary prepartion into its own helper class

https://gerrit.wikimedia.org/r/543701

After talking to @Lydia_Pintscher , we decided to go with a simpler version of the shortend version as suggested in the last comment. Task and parent Task descriptions will updated accordingly.

Change 544897 abandoned by Alaa Sarhan:
WIP: Add service to collect changed languages, grouped by changed term types

Reason:
Feature changed and this no longer needed. See task

https://gerrit.wikimedia.org/r/544897

alaa_wmde removed alaa_wmde as the assignee of this task.Nov 7 2019, 10:32 AM
WMDE-leszek updated the task description. (Show Details)Nov 8 2019, 1:10 PM
Jakob_WMDE updated the task description. (Show Details)Fri, Nov 15, 10:56 AM
Jakob_WMDE updated the task description. (Show Details)Fri, Nov 15, 10:58 AM
Jakob_WMDE updated the task description. (Show Details)Fri, Nov 15, 11:20 AM

Change 551166 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Add commaSeparatedList parser function

https://gerrit.wikimedia.org/r/551166

Change 551780 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Add service to collect changed languages, for the summary message

https://gerrit.wikimedia.org/r/551780

Change 552522 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Add messages for short version of automatic summary

https://gerrit.wikimedia.org/r/552522

Change 551780 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add service to collect changed languages, for the summary message

https://gerrit.wikimedia.org/r/551780

Rosalie_WMDE updated the task description. (Show Details)Fri, Nov 22, 3:21 PM
Rosalie_WMDE updated the task description. (Show Details)
Rosalie_WMDE updated the task description. (Show Details)
Rosalie_WMDE updated the task description. (Show Details)Fri, Nov 22, 4:42 PM

Change 553148 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Generate Short edit summaries

https://gerrit.wikimedia.org/r/553148

Rosalie_WMDE updated the task description. (Show Details)Tue, Nov 26, 5:01 PM
Rosalie_WMDE updated the task description. (Show Details)Tue, Nov 26, 5:04 PM

Change 551166 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add commaSeparatedList parser function

https://gerrit.wikimedia.org/r/551166

Change 552522 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add messages for short version of automatic summary

https://gerrit.wikimedia.org/r/552522

Rosalie_WMDE updated the task description. (Show Details)Wed, Nov 27, 7:02 PM

Change 553493 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Wikibase@master] Don't use PHP classes to refer to constants in magic.php files

https://gerrit.wikimedia.org/r/553493

Change 553493 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Don't use PHP classes to refer to constants in magic.php files

https://gerrit.wikimedia.org/r/553493

Rosalie_WMDE updated the task description. (Show Details)Mon, Dec 2, 9:25 AM
WMDE-leszek updated the task description. (Show Details)Mon, Dec 2, 11:39 AM

Change 553148 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Generate Short edit summaries

https://gerrit.wikimedia.org/r/553148

I made two edits here - one showing the new shortened version, and another one demonstrating that it falls back to the fallback version when the edit changes terms in over 50 languages.

Rosalie_WMDE updated the task description. (Show Details)Tue, Dec 3, 11:36 AM
Addshore added subscribers: Lea_Lacroix_WMDE, Addshore.

Verified on board cleanup on beta :)

Moving to needs announcement for @Lea_Lacroix_WMDE

Announcement done here, indicating a deployment this week, no veto so far, for me everything is good to go!